Name: nvclock
Version: 0.8b
Release: alt1.1

Summary: An overclocking tool for NVIDIA cards
Summary(ru_RU.UTF-8): Средство для разгона графических карт NVIDIA
Summary(uk_UA.UTF-8): Утиліта для "розгону" графічних карток NVIDIA
License: GPL
Group: System/Configuration/Hardware

Url: http://www.linuxhardware.org/nvclock/
Source0: %name%version.tar.gz
Source1: %name.desktop
Source2: %name.png
Patch: nvclock-0.8b-alt-makefile.patch
Packager: Vyacheslav Dikonov <slava@altlinux.ru>

Requires: NVIDIA_GLX
BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel libatk-devel libgtk+2-devel libpango-devel libqt3-devel libstdc++-devel pkgconfig xorg-x11-devel xorg-x11-libs

%description
This program allows you to overclock your NVIDIA based graphics card
to reach their peak performance.

%description -l ru_RU.UTF-8
NVClock позволяет вручную изменять тактовую частоту процессоров графических
карт на основе набора микросхем NVIDIA, чтобы добиться предельной
производительности.

%description -l uk_UA.UTF-8
NVClock дозволяє користувачу змінювати тактову частоту процесорів графічних
карток на базі набору мікросхем NVIDIA для досягнення найбільшої
продуктивності.

%package gtk
Summary: An overclocking tool for NVIDIA cards
Summary(ru_RU.UTF-8): GTK-интерфейс для разгона графических карт NVIDIA
Summary(uk_UA.UTF-8): GTK-Інтерфейс для "розгону" графічних карток NVIDIA
License: GPL
Group: System/Configuration/Hardware
Requires: %name

%description gtk
This is the GTK interface for nvclock - a program the allows you to overclock 
your NVIDIA based graphics card to reach their peak performance.

%description gtk -l ru_RU.UTF-8
GTK-интерфейс для nvclock - программы, которая позволяет вручную изменять 
тактовую частоту процессоров графических карт на основе набора микросхем NVIDIA, 
чтобы добиться предельной производительности.

%description gtk -l uk_UA.UTF-8
GTK-iнтерфейс для nvclock - програми, яка дозволяє користувачу змінювати тактову 
частоту процесорів графічних карток на базі набору мікросхем NVIDIA для досягнення 
найбільшої продуктивності.


%package qt
Summary: An overclocking tool for NVIDIA cards
Summary(ru_RU.UTF-8): Qt-интерфейс для разгона графических карт NVIDIA
Summary(uk_UA.UTF-8): Qt-Інтерфейс для "розгону" графічних карток NVIDIA
License: GPL
Group: System/Configuration/Hardware
Requires: %name

%description qt
This is the Qt interface for nvclock - a program the allows you to overclock 
your NVIDIA based graphics card to reach their peak performance.

%description qt -l ru_RU.UTF-8
Qt-интерфейс для nvclock - программы, которая позволяет вручную изменять 
тактовую частоту процессоров графических карт на основе набора микросхем NVIDIA, 
чтобы добиться предельной производительности.

%description qt -l uk_UA.UTF-8
Qt-iнтерфейс для nvclock - програми, яка дозволяє користувачу змінювати тактову 
частоту процесорів графічних карток на базі набору мікросхем NVIDIA для досягнення 
найбільшої продуктивності.


%prep
%setup -q -n %name%version
%patch -p1

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh
export PATH=$QTDIR/bin:$PATH
%configure
%make_build

%install
%makeinstall
install -p -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_datadir/applications/%name-gtk.desktop 
install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_datadir/pixmaps/%name.png 
# Menu
mkdir -p %buildroot%_menudir
cat >%buildroot%_menudir/%name-gtk <<EOF
?package(%name): command="nvclock_gtk" needs="X11" \
section="Configuration/Hardware" title="NVClock" \
longtitle="An overclocking tool for NVIDIA cards" icon="%name.png"
EOF
cat >%buildroot%_menudir/%name-qt <<EOF
?package(%name): command="nvclock_qt" needs="X11" \
section="Configuration/Hardware" title="NVClock" \
longtitle="An overclocking tool for NVIDIA cards" icon="%name.png"
EOF
# clean up misinstalled docs
rm -rf %_docdor/%name/

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_man1dir/*
%doc AUTHORS ChangeLog COPYING FAQ README

%files gtk
%_bindir/%{name}_gtk
%_datadir/pixmaps/* %config
%_datadir/applications/%name-gtk*
%_menudir/%name-gtk

%files qt
%_bindir/%{name}_qt
%_datadir/pixmaps/* %config
%_menudir/%name-qt


%changelog
* Mon Mar 27 2006 Michael Shigorin <mike@altlinux.org> 0.8b-alt1.1
- [NMU] updated 0.8b snapshot:
  Wednesday August 31 2005
  Various users reported bugs of which a few were critical.
  The critical ones affected affecting systems containing
  multiple Nvidia cards. Further a bug in the GTK version
  related to 3D clocks has been fixed and a temperature
  correction for the LM99 has been added. Because of
  the critical bugs I have updated the 0.8b snapshot
  to include those fixes.
- fixed build
  + removed xorg-x11-devel-static from BuildRequires
  + added Makefile patch (--Wl,--as-needed)
- tiny spec cleanup

* Sat Nov 12 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.8b-alt1
- 0.8b

* Mon Dec 01 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.6.2-alt2
- Menu bug fixed

* Mon Feb 10 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.6.2-alt1
- security fixes, update

* Tue Nov 05 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.6-alt1
- 1st ALTLinux build (GTK2 only)
